"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _variables = require("../../helpers/variables");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * Button Component
 * @type button
 */
var Button = _styledComponents.default.button.withConfig({
  displayName: "styles__Button",
  componentId: "jw4w2x-0"
})(["display:inline-block;border:none;background:", ";border-radius:", ";font-weight:", ";text-transform:", ";color:", ";transition:0.25s all ease-in-out;cursor:pointer;line-height:0;letter-spacing:0.5px;font-size:", ";box-shadow:", ";margin-right:", ";margin-left:", ";margin-top:", ";margin-bottom:", ";padding:", ";width:", ";height:", ";&:focus{outline:0;box-shadow:0;}&:hover{opacity:0.9;}"], function (props) {
  return props.bg ? props.bg : _variables.COLORS.gray;
}, function (props) {
  return props.rounded ? '40px' : '4px';
}, function (props) {
  return props.weight ? props.weight : 700;
}, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : _variables.COLORS.dark;
}, function (props) {
  return props.fontSize ? "".concat(props.fontSize, "px") : '10px';
}, function (props) {
  return props.shadow ? '0 2px 4px rgba(0,0,0,0.1)' : 'none';
}, function (props) {
  return !props.noMargin && props.marginRight ? '8px' : '0';
}, function (props) {
  return !props.noMargin && props.marginLeft ? '8px' : '0';
}, function (props) {
  return !props.noMargin && props.marginTop ? '8px' : '0';
}, function (props) {
  return !props.noMargin && props.marginBottom ? '8px' : '0';
}, function (props) {
  return props.aspectLocked || props.noPadding ? '0' : props.sizeLarge ? '14px 2rem' : props.sizeSmall ? '10px 0.75rem' : '10px 1.25rem';
}, function (props) {
  return props.sizeSmall && props.aspectLocked ? '35px' : props.aspectLocked ? '45px' : props.fullWidth ? '100%' : 'auto';
}, function (props) {
  return props.sizeSmall ? '35px' : props.sizeLarge ? '50px' : props.noPadding ? 'auto' : '38px';
});

exports.Button = Button;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Button, "Button", "/Users/user1/Documents/projects/proponents/src/components/button/styles.js");
  leaveModule(module);
})();

;