"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _variables = require("../../helpers/variables");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * Card Item
 * @type div
 */
var Card = _styledComponents.default.div.withConfig({
  displayName: "styles__Card",
  componentId: "sc-16j97vp-0"
})(["background:", ";border:", ";box-shadow:", ";border-radius:", ";padding:", ";font-family:", ";cursor:pointer;transition:0.15s all ease-in;&:hover{background:", ";box-shadow:", ";transform:scale(1.05);}"], function (props) {
  return props.bg.includes('#') ? props.bg : _variables.COLORS[props.bg];
}, function (props) {
  return props.bordered || props.hasShadow ? "1px solid ".concat(_variables.COLORS.gray) : 'none';
}, function (props) {
  return props.hasShadow ? '0 1px 3px #EDEDF2' : 'none';
}, function (props) {
  return props.radius;
}, function (props) {
  return props.padding;
}, _variables.FONT.family, function (props) {
  return props.bg === '#FFFFFF' || props.bg === 'white' ? _variables.COLORS.white : '#EDEDF2';
}, function (props) {
  return props.bg === '#FFFFFF' || props.bg === 'white' ? '0 2px 6px #EDEDF2' : 'none';
});

exports.Card = Card;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Card, "Card", "/Users/user1/Documents/projects/proponents/src/components/card/styles.js");
  leaveModule(module);
})();

;