"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _styles = require("./styles");

var _styles2 = require("../text/styles");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * Render Label Element
 * @param {Props} props
 */
var Label = function Label(props) {
  return React.createElement(_styles.LabelEl, null, props.label);
};
/**
 * Render Error Message if there's an error
 * @param {Props} props
 */


var ErrorMessage = function ErrorMessage(props) {
  return props.hasError ? React.createElement(_styles2.P, {
    fontSize: 16,
    textError: true
  }, props.errorMessage) : '';
};
/**
 * Render Icon Element
 * @param {Props} props
 */


var Icon = function Icon(props) {
  return React.createElement(_styles.IconEl, {
    className: "material-icons",
    error: props.hasError
  }, props.iconName);
};
/**
 * Render Input Element
 * @param {Props} props
 */


var Input = function Input(props) {
  return React.createElement(_styles.InputEl, {
    placeholder: props.placeholder,
    value: props.inputValue,
    onChange: props.inputChange,
    innerRef: props.inputRef
  });
};
/**
 * Render the Input Proponent
 * @param {Props} props
 */


var InputProponent = function InputProponent(props) {
  return React.createElement(_styles.InputContainer, props, props.hasLabel ? Label(props) : '', React.createElement(_styles.InputComponent, _extends({}, props, {
    bordered: props.hasError
  }), props.hasIcon ? Icon(props) : '', Input(props)), ErrorMessage(props));
}; // Default Props


InputProponent.defaultProps = {
  width: 400,
  margin: '0 0 0.5rem',
  inline: false,
  hasLabel: false,
  hasIcon: false,
  label: null,
  iconName: null,
  hasError: false,
  errorMessage: null
}; // Export InputProponent

var _default = InputProponent;
var _default2 = _default;
exports.default = _default2;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Label, "Label", "/Users/user1/Documents/projects/proponents/src/components/input/index.jsx");
  reactHotLoader.register(ErrorMessage, "ErrorMessage", "/Users/user1/Documents/projects/proponents/src/components/input/index.jsx");
  reactHotLoader.register(Icon, "Icon", "/Users/user1/Documents/projects/proponents/src/components/input/index.jsx");
  reactHotLoader.register(Input, "Input", "/Users/user1/Documents/projects/proponents/src/components/input/index.jsx");
  reactHotLoader.register(InputProponent, "InputProponent", "/Users/user1/Documents/projects/proponents/src/components/input/index.jsx");
  reactHotLoader.register(_default, "default", "/Users/user1/Documents/projects/proponents/src/components/input/index.jsx");
  leaveModule(module);
})();

;