"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = exports.Heading = void 0;

var React = _interopRequireWildcard(require("react"));

var _styles = require("./styles");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * Creates Dynamic Heading
 * @param {Props} props
 */
var Heading = function Heading(props) {
  switch (props.h) {
    case 2:
      return React.createElement(_styles.H2, props, props.children);

    case 3:
      return React.createElement(_styles.H3, props, props.children);

    case 4:
      return React.createElement(_styles.H4, props, props.children);

    case 5:
      return React.createElement(_styles.H5, props, props.children);

    default:
      return React.createElement(_styles.H1, props, props.children);
  }
};
/**
 * Creates Paragraph Text
 * @param {Props} props
 */


exports.Heading = Heading;

var Text = function Text(props) {
  return React.createElement(_styles.P, props, props.children);
}; // Default Props


exports.Text = Text;
Heading.defaultProps = {
  h: 1
};
Text.defaultProps = {
  h: null
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Heading, "Heading", "/Users/user1/Documents/projects/proponents/src/components/text/index.jsx");
  reactHotLoader.register(Text, "Text", "/Users/user1/Documents/projects/proponents/src/components/text/index.jsx");
  leaveModule(module);
})();

;