"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.P = exports.H5 = exports.H4 = exports.H3 = exports.H2 = exports.H1 = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _variables = require("../../helpers/variables");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/** ************************************************/

/** ***************** FONT STYLING *****************/

/** ************************************************/

/**
 * H1 Component
 * @type h1
 */
var H1 = _styledComponents.default.h1.withConfig({
  displayName: "styles__H1",
  componentId: "sc-7ffg3o-0"
})(["color:", ";font-weight:", ";font-size:", "px;font-family:", ";text-transform:", ";margin-top:", ";margin-bottom:", ";line-height:", ";"], function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : props.colorRGBA ? props.colorRGBA : _variables.COLORS.darkest;
}, function (props) {
  return props.weight ? props.weight : 800;
}, _variables.FONT.size * 3.25, _variables.FONT.family, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.lineHeight ? "".concat(props.lineHeight, "%") : '100%';
});
/**
 * H2 Component
 * @type h2
 */


exports.H1 = H1;

var H2 = _styledComponents.default.h2.withConfig({
  displayName: "styles__H2",
  componentId: "sc-7ffg3o-1"
})(["color:", ";font-weight:", ";font-size:", "px;font-family:", ";text-transform:", ";margin-top:", ";margin-bottom:", ";line-height:", ";"], function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : props.colorRGBA ? props.colorRGBA : _variables.COLORS.dark;
}, function (props) {
  return props.weight ? props.weight : 700;
}, _variables.FONT.size * 2.75, _variables.FONT.family, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.lineHeight ? "".concat(props.lineHeight, "%") : '100%';
});
/**
 * H3 Component
 * @type h3
 */


exports.H2 = H2;

var H3 = _styledComponents.default.h3.withConfig({
  displayName: "styles__H3",
  componentId: "sc-7ffg3o-2"
})(["color:", ";font-weight:", ";font-size:", "px;font-family:", ";text-transform:", ";margin-top:", ";margin-bottom:", ";line-height:", ";"], function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : props.colorRGBA ? props.colorRGBA : _variables.COLORS.dark;
}, function (props) {
  return props.weight ? props.weight : 700;
}, _variables.FONT.size * 2, _variables.FONT.family, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.lineHeight ? "".concat(props.lineHeight, "%") : '100%';
});
/**
 * H4 Component
 * @type h4
 */


exports.H3 = H3;

var H4 = _styledComponents.default.h4.withConfig({
  displayName: "styles__H4",
  componentId: "sc-7ffg3o-3"
})(["color:", ";font-weight:", ";font-size:", "px;font-family:", ";text-transform:", ";margin-top:", ";margin-bottom:", ";line-height:", ";"], function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : props.colorRGBA ? props.colorRGBA : _variables.COLORS.dark;
}, function (props) {
  return props.weight ? props.weight : 600;
}, _variables.FONT.size * 1.5, _variables.FONT.family, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.lineHeight ? "".concat(props.lineHeight, "%") : '100%';
});
/**
 * H5 Component
 * @type h5
 */


exports.H4 = H4;

var H5 = _styledComponents.default.h5.withConfig({
  displayName: "styles__H5",
  componentId: "sc-7ffg3o-4"
})(["color:", ";font-weight:", ";font-size:", "px;font-family:", ";text-transform:", ";margin-top:", ";margin-bottom:", ";line-height:", ";"], function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : props.colorRGBA ? props.colorRGBA : _variables.COLORS.dark;
}, function (props) {
  return props.weight ? props.weight : 600;
}, _variables.FONT.size * 1.25, _variables.FONT.family, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.lineHeight ? "".concat(props.lineHeight, "%") : '100%';
});
/**
 * Text Component
 * @type p (paragraph)
 */


exports.H5 = H5;

var P = _styledComponents.default.p.withConfig({
  displayName: "styles__P",
  componentId: "sc-7ffg3o-5"
})(["color:", ";font-weight:", ";font-size:", ";font-family:", ";text-transform:", ";margin-top:", ";margin-bottom:", ";font-style:", ";text-align:", ";margin-top:", ";margin-top:", ";margin-bottom:", ";line-height:", ";strong{font-weight:700;}"], function (props) {
  return props.color ? props.color.includes('#') ? props.color : _variables.COLORS[props.color] : props.colorRGBA ? props.colorRGBA : _variables.COLORS.dark;
}, function (props) {
  return props.weight ? props.weight : 400;
}, function (props) {
  return props.fontSize ? "".concat(props.fontSize, "px") : "".concat(_variables.FONT.size, "px");
}, _variables.FONT.family, function (props) {
  return props.uppercase ? 'uppercase' : 'none';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.italic ? 'italic' : 'none';
}, function (props) {
  return props.align;
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginTop ? '8px' : '0';
}, function (props) {
  return props.marginBottom ? "".concat(props.marginBottom, "px") : '8px';
}, function (props) {
  return props.lineHeight ? "".concat(props.lineHeight, "%") : '150%';
});

exports.P = P;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(H1, "H1", "/Users/user1/Documents/projects/proponents/src/components/text/styles.js");
  reactHotLoader.register(H2, "H2", "/Users/user1/Documents/projects/proponents/src/components/text/styles.js");
  reactHotLoader.register(H3, "H3", "/Users/user1/Documents/projects/proponents/src/components/text/styles.js");
  reactHotLoader.register(H4, "H4", "/Users/user1/Documents/projects/proponents/src/components/text/styles.js");
  reactHotLoader.register(H5, "H5", "/Users/user1/Documents/projects/proponents/src/components/text/styles.js");
  reactHotLoader.register(P, "P", "/Users/user1/Documents/projects/proponents/src/components/text/styles.js");
  leaveModule(module);
})();

;