"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FONT = exports.COLORS = void 0;

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

/**
 * @name: Variables
 * @desc: Contains color scheme and default variables
 * for styling. Updating this will cause the styles
 * such as color or font to change.
 *
 * 
 */
// Colors
var COLORS = {
  gray: '#F4F4F6',
  lighter: '#BFC2CC',
  light: '#878C9C',
  base: '#606374',
  dark: '#373F52',
  darkest: '#262D38',
  white: '#FFFFFF',
  // Actions
  success: '#2ECC71',
  error: '#FF3769',
  warning: '#FFB300',
  info: '#00B0FF'
}; // Font

exports.COLORS = COLORS;
var FONT = {
  family: "".concat(['SF Pro Text', 'sans-serif', '-apple-system', 'BlinkMacSystemFont', 'Helventica Neue', 'Roboto'].join(',')),
  size: 16
};
exports.FONT = FONT;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(COLORS, "COLORS", "/Users/user1/Documents/projects/proponents/src/helpers/variables.js");
  reactHotLoader.register(FONT, "FONT", "/Users/user1/Documents/projects/proponents/src/helpers/variables.js");
  leaveModule(module);
})();

;