"use strict";

var _styledComponents = require("styled-components");

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  * {\n    border: 0;\n    box-sizing: inherit;\n    -webkit-font-smoothing: antialiased;\n    font-weight: inherit;\n    font-family: 'SF Pro Text' !important;\n    margin: 0;\n    outline: 0;\n    padding: 0;\n    text-decoration: none;\n    text-rendering: optimizeLegibility;\n    -webkit-appearance: none;\n    -moz-appearance: none;\n  }\n  html {\n    display: flex;\n    height: 100%;\n    width: 100%;\n    max-height: 100%;\n    max-width: 100%;\n    box-sizing: border-box;\n    font-size: 16px;\n    line-height: 1.5;\n    letter-spacing: 0.5px;\n    background-color: #ffffff;\n    color: #16171a;\n    padding: 0;\n    margin: 0;\n    -webkit-font-smoothing: antialiased;\n    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Helvetica, Arial,\n      sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol';\n  }\n  body {\n    display: flex;\n    box-sizing: border-box;\n    flex: auto;\n    align-self: stretch;\n    max-width: 100%;\n    max-height: 100%;\n    -webkit-overflow-scrolling: touch;\n  }\n  a {\n    color: currentColor;\n    text-decoration: none;\n  }\n  a:hover {\n    cursor: pointer;\n  }\n  textarea {\n    resize: none;\n  }\n  ::-moz-selection {\n    /* Code for Firefox */\n    background: #3818e5;\n    color: #ffffff;\n  }\n  ::selection {\n    background: #3818e5;\n    color: #ffffff;\n  }\n  ::-webkit-input-placeholder {\n    /* WebKit, Blink, Edge */\n    color: #a3afbf;\n  }\n  :-moz-placeholder {\n    /* Mozilla Firefox 4 to 18 */\n    color: #a3afbf;\n    opacity: 1;\n  }\n  ::-moz-placeholder {\n    /* Mozilla Firefox 19+ */\n    color: #a3afbf;\n    opacity: 1;\n  }\n  :-ms-input-placeholder {\n    /* Internet Explorer 10-11 */\n    color: #a3afbf;\n  }\n  #root {\n    display: flex;\n    display: -webkit-box;\n    display: -webkit-flex;\n    display: -moz-flex;\n    display: -ms-flexbox;\n    flex-direction: column;\n    -ms-flex-direction: column;\n    -moz-flex-direction: column;\n    -webkit-flex-direction: column;\n    height: 100%;\n    width: 100%;\n  }\n  .fade-enter {\n    opacity: 0;\n    z-index: 1;\n  }\n  .fade-enter.fade-enter-active {\n    opacity: 1;\n    transition: opacity 250ms ease-in;\n  }\n  .markdown {\n    font-size: 16px;\n    line-height: 24px;\n    color: #16171a;\n  }\n  .markdown p {\n    color: inherit;\n    font-size: 16px;\n    line-height: 1.5;\n    font-weight: 400;\n    display: block;\n  }\n  .markdown p + p {\n    margin-top: 16px;\n  }\n  .markdown > *:first-of-type {\n    margin-top: 16px;\n  }\n  .markdown img {\n    margin-top: 16px;\n    max-width: 100%;\n    display: inline;\n    border-radius: 4px;\n    transition: box-shadow 0.2s;\n    display: block;\n    margin: 12px 0;\n  }\n  .markdown img:hover {\n    cursor: pointer;\n    transition: box-shadow 0.2s;\n    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15);\n  }\n  .markdown em {\n    color: inherit;\n    font-size: inherit;\n    font-style: italic;\n  }\n  .markdown strong {\n    color: inherit;\n    font-size: inherit;\n    font-weight: 700;\n  }\n  .markdown ul,\n  .markdown ol {\n    color: inherit;\n    margin: 8px 0;\n    margin-left: 16px;\n  }\n  .markdown li {\n    color: inherit;\n    font-size: 16px;\n    margin-bottom: 4px;\n    line-height: 1.5;\n    font-weight: 400;\n  }\n  .markdown blockquote {\n    color: #828c99;\n    border-left: 4px solid #7b16ff;\n    padding: 4px 8px 4px 16px;\n    font-size: 24px;\n    font-weight: 300;\n    font-style: italic;\n    line-height: 1.4;\n    margin: 16px 0;\n  }\n  .markdown blockquote p {\n    margin-top: 0;\n  }\n  .markdown a {\n    color: #3818e5;\n    font-weight: 500;\n    text-decoration: none;\n    font-size: inherit;\n    word-wrap: break-word;\n    line-height: inherit;\n  }\n  .markdown a:hover {\n    text-decoration: underline;\n  }\n  .markdown a:visited {\n    opacity: 0.6;\n    transition: opacity 0.2s ease-in;\n  }\n  .markdown code {\n    font-family: 'Input Mono', 'Menlo', 'Inconsolata', 'Roboto Mono', monospace;\n    font-weight: 500;\n    font-size: 14px;\n    line-height: 20px;\n    background-color: #f5f8fc;\n    padding: 2px 4px;\n    display: inline;\n    width: 100%;\n    border: 1px solid #dfe7ef;\n    border-radius: 4px;\n    margin-bottom: 16px;\n  }\n  .markdown pre {\n    margin: 16px 0;\n    display: block;\n  }\n  .markdown pre code {\n    padding: 8px 16px;\n    display: block;\n    white-space: pre-wrap;\n    position: relative;\n  }\n  .markdown div[data-block='true'] {\n    margin-top: 12px;\n  }\n  .markdown div[data-block='true']:first-of-type {\n    margin-top: 0;\n  }\n  .markdown span[data-text='true'] {\n    line-height: 1.4;\n  }\n  .markdown code span {\n    max-width: 100%;\n    white-space: pre-wrap;\n    word-break: break-word;\n  }\n  .markdown iframe {\n    margin: 1rem 0;\n  }\n  .markdown hr {\n    width: 100%;\n    height: 1px;\n    background: #dfe7ef;\n    display: block;\n    margin: 32px 0;\n  }\n  .markdown h1 {\n    font-size: 24px;\n    line-height: 40px;\n    border-bottom: 1px solid #dfe7ef;\n    font-weight: 800;\n    margin-top: 1rem;\n    margin-bottom: 8px;\n  }\n  .markdown h2 {\n    font-size: 20px;\n    line-height: 32px;\n    font-weight: 700;\n    margin-top: 1rem;\n    margin-bottom: 8px;\n  }\n  .markdown h3 {\n    font-size: 18px;\n    line-height: 28px;\n    font-weight: 700;\n    margin-top: 1rem;\n    margin-bottom: 8px;\n  }\n  .markdown h4 {\n    font-size: 16px;\n    line-height: 20px;\n    font-weight: 700;\n    margin-top: 1rem;\n    margin-bottom: 8px;\n    text-transform: lowercase;\n    font-variant: small-caps;\n  }\n  .markdown h5 {\n    font-size: 14px;\n    line-height: 20px;\n    font-weight: 700;\n    margin-top: 1rem;\n    margin-bottom: 8px;\n    text-transform: lowercase;\n    font-variant: small-caps;\n  }\n  .markdown h6 {\n    font-size: 12px;\n    line-height: 16px;\n    font-weight: 700;\n    margin-top: 1rem;\n    margin-bottom: 8px;\n    text-transform: lowercase;\n    font-variant: small-caps;\n  }\n  .hljs {\n    display: block;\n    background: white;\n    padding: 0.5em;\n    color: #333333;\n    overflow-x: auto;\n  }\n  .hljs-comment,\n  .hljs-meta {\n    color: #969896;\n  }\n  .hljs-string,\n  .hljs-variable,\n  .hljs-template-variable,\n  .hljs-strong,\n  .hljs-emphasis,\n  .hljs-quote {\n    color: #df5000;\n  }\n  .hljs-keyword,\n  .hljs-selector-tag,\n  .hljs-type {\n    color: #a71d5d;\n  }\n  .hljs-literal,\n  .hljs-symbol,\n  .hljs-bullet,\n  .hljs-attribute {\n    color: #0086b3;\n  }\n  .hljs-section,\n  .hljs-name {\n    color: #63a35c;\n  }\n  .hljs-tag {\n    color: #333333;\n  }\n  .hljs-title,\n  .hljs-attr,\n  .hljs-selector-id,\n  .hljs-selector-class,\n  .hljs-selector-attr,\n  .hljs-selector-pseudo {\n    color: #795da3;\n  }\n  .hljs-addition {\n    color: #55a532;\n    background-color: #eaffea;\n  }\n  .hljs-deletion {\n    color: #bd2c00;\n    background-color: #ffecec;\n  }\n  .hljs-link {\n    text-decoration: underline;\n  }\n  .StripeElement {\n    background-color: white;\n    height: 40px;\n    padding: 10px 12px;\n    border-radius: 4px;\n    border: 1px solid #DFE7EF;\n    -webkit-transition: border 150ms ease;\n    transition: border 150ms ease;\n  }\n  .StripeElement--focus {\n    border: 1px solid #7B16FF;\n  }\n  .StripeElement--invalid {\n    border-color: #fa755a;\n  }\n  .StripeElement--webkit-autofill {\n    background-color: #fefde5 !important;\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

(0, _styledComponents.injectGlobal)(_templateObject());
/* eslint-enable */